package com.greatchn.authorization_server.web.dao;

import com.greatchn.authorization_server.web.po.OauthConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @IOauthConfigDao: OauthConfig dao
 * @author: ZBoHang
 * @time: 2023/2/28 13:55
 */
@Repository
public interface IOauthConfigDao extends JpaRepository<OauthConfig, String>, JpaSpecificationExecutor<OauthConfig> {
}
