package com.greatchn.authorization_server.web.srv;

import com.greatchn.authorization_server.web.dao.IOauthFunctionInfoDao;
import com.greatchn.authorization_server.web.po.OauthFunctionInfo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @OauthFunctionInfoSrv: OauthFunctionInfo srv
 * @author: ZBoHang
 * @time: 2023/2/28 9:24
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class OauthFunctionInfoSrv {

    @Resource
    private IOauthFunctionInfoDao iOauthFunctionInfoDao;

    /**
     * getAll
     */
    public List<OauthFunctionInfo> getAll() {

        return this.iOauthFunctionInfoDao.findAll();
    }
}
