package com.greatchn.authorization_server;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.json.JSONUtil;
import com.greatchn.authorization_server.web.dao.IOauthFunctionInfoDao;
import com.greatchn.authorization_server.web.dao.IOauthRoleGroupInfoDao;
import com.greatchn.authorization_server.web.po.OauthRoleGroupInfo;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest
class AuthorizationServerApplicationTests {

    @Resource
    private IOauthFunctionInfoDao iOauthFunctionInfoDao;
    @Resource
    private IOauthRoleGroupInfoDao iOauthRoleGroupInfoDao;

    @Test
    void contextLoads() {

        List<OauthRoleGroupInfo> list = this.iOauthRoleGroupInfoDao.findByBelongToUserGroupIdIn(CollUtil.list(Boolean.FALSE, 2, 3));

        System.out.println(JSONUtil.toJsonPrettyStr(list));
    }

}
