package com.greatchn.authorization_server.web.dao;

import com.greatchn.authorization_server.web.po.OauthRoleFunctionConnection;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @IOauthRoleFunctionConnectionDao: OauthRoleFunctionConnection dao
 * @author: ZBoHang
 * @time: 2023/2/28 9:15
 */
@Repository
public interface IOauthRoleFunctionConnectionDao extends JpaRepository<OauthRoleFunctionConnection, Integer>,
        JpaSpecificationExecutor<OauthRoleFunctionConnection> {

    /**
     * find by functionId
     */
    public List<OauthRoleFunctionConnection> findByFunctionIdIn(List<Integer> functionIdList);
}
