package com.greatchn.authorization_server.web.dao;

import com.greatchn.authorization_server.web.po.OauthUserGroupInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @IOauthUserGroupInfoDao: OauthUserGroupInfo dao
 * @author: ZBoHang
 * @time: 2023/2/28 9:18
 */
@Repository
public interface IOauthUserGroupInfoDao extends JpaRepository<OauthUserGroupInfo, Integer>, JpaSpecificationExecutor<OauthUserGroupInfo> {

    /**
     * find by id in
     */
    public List<OauthUserGroupInfo> findByUserGroupIdIn(List<Integer> list);
}
